{% extends 'base.html.twig' %}

{% block title %}Dashboard{% endblock %}

{% block body %}
<section class="bg-white dark:bg-gray-900 min-h-screen">
    <div class="py-8 px-4 mx-auto max-w-screen-xl lg:py-10 lg:px-6">
        <div class=" max-w-screen-sm lg:mb-16 mb-8 flex items-center justify-between">
            <h2 class="mb-4 text-3xl lg:text-4xl tracking-tight font-extrabold text-gray-900 dark:text-white">Bonjour {{ app.user.username }}</h2>
            <div class="mb-3 dark:text-white">
                <a href="{{ path('app_logout') }}">
                    Déconnexion
                </a>
            </div>
        </div>
    </div>
    <div class="py-8 px-4 mx-auto max-w-screen-xl lg:py-16 lg:px-6">
        <div class="grid gap-8 lg:grid-cols-4">
                <a href="{{ path('app_caisse') }}" class="cursor-pointer p-6 bg-white rounded-lg border border-gray-200 shadow-md dark:bg-gray-800 dark:border-gray-700">
                    <h2 class="mb-2 text-2xl font-bold tracking-tight text-gray-900 dark:text-white uppercase">
                        caisse fût
                    </h2>
                </a>
            {% if is_granted('ROLE_ADMIN') %}
                <a href="{{ path('stock_app') }}" class="cursor-pointer p-6 bg-white rounded-lg border border-gray-200 shadow-md dark:bg-gray-800 dark:border-gray-700">
                    <h2 class="mb-2 text-2xl font-bold tracking-tight text-gray-900 dark:text-white">
                        STOCK
                    </h2>
                </a>
                <div class="cursor-pointer p-6 bg-white rounded-lg border border-gray-200 shadow-md dark:bg-gray-800 dark:border-gray-700">
                    <a href="{{ path('app_catalog_list') }}" class="mb-2 text-2xl font-bold tracking-tight text-gray-900 dark:text-white uppercase">
                        CATALOGUE
                    </a>
                </div>
                <div class="cursor-pointer p-6 bg-white rounded-lg border border-gray-200 shadow-md dark:bg-gray-800 dark:border-gray-700">
                    <a href="{{ path('app_list_order') }}" class="mb-2 text-2xl font-bold tracking-tight text-gray-900 dark:text-white">
                        COMMANDE
                    </a>
                </div>
                <a href="{{ path('app_user_index') }}" class="cursor-pointer p-6 bg-white rounded-lg border border-gray-200 shadow-md dark:bg-gray-800 dark:border-gray-700">
                    <h2 class="mb-2 text-2xl font-bold tracking-tight text-gray-900 dark:text-white">
                        UTILISATEUR
                    </h2>
                </a>
                <a href="{{ path('app_fournisseur_index') }}" class="cursor-pointer p-6 bg-white rounded-lg border border-gray-200 shadow-md dark:bg-gray-800 dark:border-gray-700">
                    <h2 class="mb-2 text-2xl font-bold tracking-tight text-gray-900 dark:text-white">
                        FOURNISSEUR
                    </h2>
                </a>
            {% endif %}
        </div>
    </div>
</section>
{% endblock %}
